local opt = vim.opt

-- Общие настройки
opt.swapfile = false    -- Отключение SWAP файлов

-- Настройка отступов
opt.expandtab = true    -- Замена <tab> на пробелы
opt.shiftwidth = 4      -- Размер отступа в пробелах
opt.tabstop = 4         -- Размер <tab> в пробелах

-- Настройка номеров строк
opt.cursorline = true       -- Подсветка текущей строки
opt.number = true           -- Отображать номер текущей строки
opt.relativenumber = true   -- Использовать относительные номера строк

-- Отключение неподдерживаемых провайдеров
vim.g.loaded_node_provider = 0
vim.g.loaded_perl_provider = 0

-- Подключение и настройка темы "sonokai"
opt.termguicolors = true
vim.g.sonokai_style = 'atlantis'
vim.g.sonokai_better_performance = 1
vim.cmd('colorscheme sonokai')
